Bug 164151 - NFS server freeze with kernel-2.6.9-11.EL
NFS server freeze with kernel-2.6.9-11.EL
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 09:08 EDT by Thomas Woerner
Modified: 2012-06-20 09:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2005-07-25 09:08:46 EDT
Description of problem:
Booting from or installing via NFS does not work with the latest RHEL-4 kernel
on the server. Clients report in install: "server not responding, still trying".

Transfering lots of data to the NFS server freezes NFS after a moment and
results in high load on the server. Only a restart of NFS resolved the problem
for a moment.

Booting kernel-2.6.9-5.0.5.EL instead resolves the problem completely.

The bug is similar to #152102, but the server is RHEL-4 (i686) and the clients
are FC-3 (i686 and x86_64) or FC-4 (i686 and x86_64).

Version-Release number of selected component (if applicable):
kernel-2.6.9-11.EL

How reproducible:
Always

Steps to Reproduce:
1. Setup NFS server with kernel-2.6.9-11.EL.
2. Transfer data to or from the server.
3. Transfer aborted.
  
Actual results:
NFS service freezes.

Expected results:
No freeze.

Additional info:
Comment 1 Steve Dickson 2005-07-27 08:12:44 EDT
Is there any type of error message on the server as
to why it stop sending? Posting an system trace
(i.e. echo t > /proc/sysrq-trigger) of the server might
help. 
Comment 12 Jiri Pallich 2012-06-20 09:28:06 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.